<template>
  <div>
    <Devices :valid_device.sync="device" />
    <LogFile :valid_filename.sync="filename_status" :filename.sync="filename"/>
    <v-row justify="center">
      <v-col align="center">
        <v-btn color="primary" :disabled="!canContinue" @click="emitContinue">{{
          continueText
        }}</v-btn>
      </v-col>
    </v-row>
  </div>
</template>

<script>
import Devices from "./Tab1/Devices";
import LogFile from "./Tab1/LogFile";

export default {
  name: "Tab1",
  data: () => ({
    device: null,
    filename_status: null,
    filename: "log"
  }),
  components: {
    Devices,
    LogFile,
  },
  computed: {
    canContinue() {
      return this.filename_status && this.device;
    },
    continueText() {
      return this.canContinue ? "Connect to " + this.device : "Connect";
    },
  },
  methods: {
    emitContinue() {
      this.$axios
        .post("/connection", {
          device: this.device,
          filename: this.filename,
          baudrate: this.$store.getters["connection/serial"].baudrate,
        })
        .then((res) => {
          console.log(res);
        })
        .catch(() => {});
      this.$emit("continue");
    },
  },
};
</script>